# Uses of Interface
org.eclipse.birt.report.engine.api.script.element.IScriptAPIFactory

Packages that use IScriptAPIFactory
Package
Description
org.eclipse.birt.report.engine.api.script.element
Report element representations in the BIRT scripting environment.

## Uses of IScriptAPIFactory in org.eclipse.birt.report.engine.api.script.element

Classes in org.eclipse.birt.report.engine.api.script.element that implement IScriptAPIFactory
Modifier and Type
Class
Description
`class`
`ScriptAPIFactory`
Deprecated.
Methods in org.eclipse.birt.report.engine.api.script.element that return IScriptAPIFactory
Modifier and Type
Method
Description
`static IScriptAPIFactory`
ScriptAPIFactory.`getBaseFactory()`
Deprecated.
Methods in org.eclipse.birt.report.engine.api.script.element with parameters of type IScriptAPIFactory
Modifier and Type
Method
Description
`static void`
ScriptAPIFactory.`initeTheFactory(IScriptAPIFactory base)`
Deprecated.
Set the base factory for this class.